
/* alle Rechte by achim seeger unter GPL
   myroboter@web.de, wnsche viel Spass damit
*/

#define HT16K33_CMD_BLINK 0x81
#define HT16K33_BLINK_DISPLAYON 0x01 // 0-aus, 1-ein
#define HT16K33_BLINK_OFF 0  // 0-Blinken aus, 1-Blinken an
#define HT16K33_BLINK_2HZ  1
#define HT16K33_BLINK_1HZ  2
#define HT16K33_BLINK_HALFHZ  3
#define HT16K33_CMD_BRIGHTNESS 0xE0
#define HT16K33_CMD_OSCILLATOR 0x20
#define HT16K33_CMD_DD_ADR 0x00

extern uint16_t HT16K33_matrix[8];
extern uint8_t  HT16K33_i2c_adr;
	
void HT16K33_Init(void);
void HT16K33_SetOscillator(bool osc_on);
void HT16K33_SetBlinkRate(uint8_t b);
void HT16K33_SetBrightness(uint8_t b);
void HT16K33_UpdateDisplay(void);
void HT16K33_FillDisplay(uint8_t data);
