/* demo1_HT16K33.c Created: 29.04.2015 19:48:15 Author: AS */ 

/* alle Rechte by achim seeger unter GPL
   myroboter@web.de, wnsche viel Spass damit
*/

#include <string.h>
#include <stdbool.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include "main.h"
#include "HT16K33.h"
#include "i2cmaster.h"
#include "util/delay.h"

const uint16_t testbild1[8] PROGMEM = { 
            0b1000000000000001,
            0b0100000000000010,
            0b0010000000000100,
            0b0001000000001000,
            0b0000100000010000,
            0b0000010000100000,
            0b0000001001000000,
            0b0000000110000000};

const uint16_t testbild2[8] PROGMEM = { 0x0001, 0x0203, 0x005, 0x0607, 0x0809, 0x0A0B, 0x0C0D, 0x0E0F};

int main (void) {

	i2c_init();
	HT16K33_i2c_adr = 0x70;     // 0x70-0x77
	HT16K33_Init();

	while(1) {
        HT16K33_FillDisplay(0);
        _delay_ms(2000);

        HT16K33_FillDisplay(0x55);
        _delay_ms(2000);

        HT16K33_FillDisplay(0x0F);
        _delay_ms(2000);

        memcpy_P(HT16K33_matrix, testbild1, sizeof(HT16K33_matrix));
        HT16K33_UpdateDisplay();
        _delay_ms(2000);

        memcpy_P(HT16K33_matrix, testbild2, sizeof(HT16K33_matrix));
        HT16K33_UpdateDisplay();
        _delay_ms(2000);

    }
}
